Agents
Get upgrade rollout progress
Path Parameters
organizationId*string
Format
uuidrolloutId*string
Header Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/upgrade-rollouts/string" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "targetVersion": "string", "strategy": "canary", "phase": "canary", "status": "active", "canaryAgentId": "39a64e74-5df0-47c7-866d-963749da6ab4", "totalAgents": 0, "upgradedCount": 0, "failedCount": 0, "agentIds": [ "9f18082b-e622-49dd-8f74-8ac7ee98b30b" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "message": "string"}{ "message": "string"}